Package org.apache.lucene.misc.index

## Interface IndexRearranger.DocumentSelector

- All Known Implementing Classes:
    `BinaryDocValueSelector`
  Enclosing class:
    IndexRearranger

      public static interface IndexRearranger.DocumentSelector

  Select document within a CodecReader

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BitSet` | `getFilteredLiveDocs​(CodecReader reader)` |

- - ### Method Detail

    - #### getFilteredLiveDocs

          BitSet getFilteredLiveDocs​(CodecReader reader)
                              throws IOException

      Throws:
        `IOException`